{ lib, inputs, ... }:

let
  importOverlays = builtins.map
    (overlay: overlay { inherit lib inputs; })
    (builtins.filter 
      (file: builtins.match "(.*.nix)" (builtins.toString file) != [])
      (lib.filesystem.listFilesRecursive ../../../overlays));
in {
  nix = {
    settings = {
      auto-optimise-store = true;
      use-xdg-base-directories = true;
      trusted-users = [ "@wheel" ];
      allowed-users = [ "@wheel" ];
    };
    extraOptions = ''
      experimental-features = nix-command flakes
    '';
  };

  nixpkgs = {
    config = {
      allowUnfree = true;
    };
    hostPlatform = lib.mkDefault "x86_64-linux";
    overlays = builtins.trace importOverlays;
  };
}
